/*
 * Written by Dawid Kurzyniec and released to the public domain, as explained
 * at http://creativecommons.org/licenses/publicdomain
 */

package edu.emory.mathcs.util.collections.shorts;

/**
 * Iterator over a collection of short numbers.
 * @see java.util.Iterator
 *
 * @author Dawid Kurzyniec
 * @version 1.0
 */
public interface ShortIterator {
    boolean hasNext();
    short next();
    void remove();
}
